Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.village
Class Village

    java.lang.Object
      net.minecraft.village.Village

    public class Village

extends Object

Constructor Summary
`Village()`
`Village(World par1World)`

Method Summary
`void` | `addOrRenewAgressor(EntityLiving par1EntityLiving)`
`void` | `addVillageDoorInfo(VillageDoorInfo par1VillageDoorInfo)`
`VillageDoorInfo` | `findNearestDoor(int par1, int par2, int par3)`
`VillageDoorInfo` | `findNearestDoorUnrestricted(int par1, int par2, int par3)` Find a door suitable for shelter.
`EntityLiving` | `findNearestVillageAggressor(EntityLiving par1EntityLiving)`
`void` | `func_82683_b(int par1)`
`EntityPlayer` | `func_82685_c(EntityLiving par1EntityLiving)`
`boolean` | `func_82686_i()`
`void` | `func_82691_a(World par1World)`
`void` | `func_82692_h()`
`ChunkCoordinates` | `getCenter()`
`int` | `getNumVillageDoors()` Actually get num village door info entries, but that boils down to number of doors.
`int` | `getNumVillagers()`
`int` | `getReputationForPlayer(String par1Str)` Return the village reputation for a player
`int` | `getTicksSinceLastDoorAdding()`
`VillageDoorInfo` | `getVillageDoorAt(int par1, int par2, int par3)`
`List` | `getVillageDoorInfoList()` called only by class EntityAIMoveThroughVillage
`int` | `getVillageRadius()`
`boolean` | `isAnnihilated()` Returns true, if there is not a single village door left.
`boolean` | `isInRange(int par1, int par2, int par3)` Returns true, if the given coordinates are within the bounding box of the village.
`boolean` | `isPlayerReputationTooLow(String par1Str)` Return whether this player has a too low reputation with this village.
`void` | `readVillageDataFromNBT(NBTTagCompound par1NBTTagCompound)` Read this village's data from NBT.
`int` | `setReputationForPlayer(String par1Str, int par2)` Set the village reputation for a player
`void` | `tick(int par1)` Called periodically by VillageCollection
`void` | `writeVillageDataToNBT(NBTTagCompound par1NBTTagCompound)` Write this village's data to NBT.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Village

    public Village()

### Village

    public Village(World par1World)

Method Detail

### func_82691_a

    public void func_82691_a(World par1World)

### tick

    public void tick(int par1)

  Called periodically by VillageCollection

### getCenter

    public ChunkCoordinates getCenter()

### getVillageRadius

    public int getVillageRadius()

### getNumVillageDoors

    public int getNumVillageDoors()

  Actually get num village door info entries, but that boils down to number of doors. Called by EntityAIVillagerMate and VillageSiege

### getTicksSinceLastDoorAdding

    public int getTicksSinceLastDoorAdding()

### getNumVillagers

    public int getNumVillagers()

### isInRange

    public boolean isInRange(int par1,
                             int par2,
                             int par3)

  Returns true, if the given coordinates are within the bounding box of the village.

### getVillageDoorInfoList

    public List getVillageDoorInfoList()

  called only by class EntityAIMoveThroughVillage

### findNearestDoor

    public VillageDoorInfo findNearestDoor(int par1,
                                           int par2,
                                           int par3)

### findNearestDoorUnrestricted

    public VillageDoorInfo findNearestDoorUnrestricted(int par1,
                                                       int par2,
                                                       int par3)

  Find a door suitable for shelter. If there are more doors in a distance of 16 blocks, then the least restricted one (i.e. the one protecting the lowest number of villagers) of them is chosen, else the nearest one regardless of restriction.

### getVillageDoorAt

    public VillageDoorInfo getVillageDoorAt(int par1,
                                            int par2,
                                            int par3)

### addVillageDoorInfo

    public void addVillageDoorInfo(VillageDoorInfo par1VillageDoorInfo)

### isAnnihilated

    public boolean isAnnihilated()

  Returns true, if there is not a single village door left. Called by VillageCollection

### addOrRenewAgressor

    public void addOrRenewAgressor(EntityLiving par1EntityLiving)

### findNearestVillageAggressor

    public EntityLiving findNearestVillageAggressor(EntityLiving par1EntityLiving)

### func_82685_c

    public EntityPlayer func_82685_c(EntityLiving par1EntityLiving)

### getReputationForPlayer

    public int getReputationForPlayer(String par1Str)

  Return the village reputation for a player

### setReputationForPlayer

    public int setReputationForPlayer(String par1Str,
                                      int par2)

  Set the village reputation for a player

### isPlayerReputationTooLow

    public boolean isPlayerReputationTooLow(String par1Str)

  Return whether this player has a too low reputation with this village.

### readVillageDataFromNBT

    public void readVillageDataFromNBT(NBTTagCompound par1NBTTagCompound)

  Read this village's data from NBT.

### writeVillageDataToNBT

    public void writeVillageDataToNBT(NBTTagCompound par1NBTTagCompound)

  Write this village's data to NBT.

### func_82692_h

    public void func_82692_h()

### func_82686_i

    public boolean func_82686_i()

### func_82683_b

    public void func_82683_b(int par1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD